=== app/Search/CMakeLists.txt ===
set(Search_SRCS
    krsearchmod.cpp
    krsearchdialog.cpp)

add_library(Search STATIC ${Search_SRCS})

target_link_libraries(Search
    Dialogs
    KF5::I18n
    KF5::KIOCore
    KF5::WidgetsAddons
)
