=== doc/handbook/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR krusader)
kdoctools_create_manpage(man-krusader.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
