=== debian/changelog ===
krusader (2:2.8.1-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:47:04 +1100

krusader (2:2.8.1-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:19:47 +0000

krusader (2:2.8.1-0ubuntu1) noble; urgency=medium

  * New upstream bugfix release (2.8.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 13 Mar 2024 08:46:33 +0000
