=== debian/control ===
Source: krusader
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               libacl1-dev,
               libattr1-dev,
               libkf5archive-dev (>= 5.68.0~),
               libkf5bookmarks-dev (>= 5.68.0~),
               libkf5codecs-dev (>= 5.68.0~),
               libkf5completion-dev (>= 5.68.0~),
               libkf5config-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5doctools-dev (>= 5.68.0~),
               libkf5guiaddons-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5iconthemes-dev (>= 5.68.0~),
               libkf5itemviews-dev (>= 5.68.0~),
               libkf5kio-dev (>= 5.68.0~),
               libkf5notifications-dev (>= 5.68.0~),
               libkf5parts-dev (>= 5.68.0~),
               libkf5solid-dev (>= 5.68.0~),
               libkf5textwidgets-dev (>= 5.68.0~),
               libkf5wallet-dev (>= 5.68.0~),
               libkf5widgetsaddons-dev (>= 5.68.0~),
               libkf5windowsystem-dev (>= 5.68.0~),
               libkf5xmlgui-dev (>= 5.68.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.12~),
               zlib1g-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.krusader.org
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krusader
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krusader.git

Package: krusader
Architecture: any
Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-cli-tools, keditbookmarks, kio-extras
Suggests: arj,
          ark,
          bzip2,
          cpio,
          kate,
          kdiff3 | kompare | xxdiff,
          kmail,
          konsole,
          krename,
          lha,
          md5deep | cfv,
          okteta,
          p7zip,
          rpm,
          unace,
          unrar | unrar-free | rar [amd64 i386],
          unzip,
          zip,
Description: twin-panel (commander-style) file manager
 Krusader is a simple, easy, powerful, twin-panel (commander-style) file
 manager, similar to Midnight Commander (C) or Total Commander (C).
 .
 It provides all the file management features you could possibly want.
 .
 Plus: extensive archive handling, mounted filesystem support, FTP,
 advanced search module, viewer/editor, directory synchronisation,
 file content comparisons, powerful batch renaming and much more.
 .
 It supports archive formats: ace, arj, bzip2, deb, iso, lha, rar, rpm, tar,
 zip and 7-zip.
 .
 It handles KIOSlaves such as smb:// or fish://.
 .
 Almost completely customizable, Krusader is very user friendly, fast and looks
 great on your desktop.
