=== app/GUI/CMakeLists.txt ===
--- 
+++ 
@@ -17,12 +17,17 @@
 add_library(GUI STATIC ${GUI_SRCS})
 
 target_link_libraries(GUI
-    KF5::ConfigCore
-    KF5::CoreAddons
-    KF5::I18n
-    KF5::IconThemes
-    KF5::Parts
-    KF5::Service
-    KF5::Solid
-    KF5::WidgetsAddons
+    KF6::Archive
+    KF6::ConfigCore
+    KF6::CoreAddons
+    KF6::Codecs
+    KF6::I18n
+    KF6::IconThemes
+    KF6::Parts
+    KF6::Service
+    KF6::Solid
+    KF6::WidgetsAddons
+    KF6::KIOFileWidgets
+    Qt6::Widgets
+    Qt6::Core5Compat
 )
