=== app/Konfigurator/CMakeLists.txt ===
--- 
+++ 
@@ -18,13 +18,15 @@
 add_library(Konfigurator STATIC ${Konfigurator_SRCS})
 
 target_link_libraries(Konfigurator
-    KF5::I18n
-    KF5::IconThemes
-    KF5::KIOCore
-    KF5::KIOWidgets
-    KF5::ConfigCore
-    KF5::ConfigWidgets
-    KF5::WidgetsAddons
-    KF5::GuiAddons
-    Qt5::Xml
+    KF6::Archive
+    KF6::I18n
+    KF6::IconThemes
+    KF6::KIOCore
+    KF6::KIOWidgets
+    KF6::ConfigCore
+    KF6::ConfigWidgets
+    KF6::WidgetsAddons
+    KF6::GuiAddons
+    Qt6::Xml
+    Qt6::Core5Compat
 )
