=== debian/changelog ===
krusader (2:2.9.0-2) unstable; urgency=medium

  * Drop the kinit dependency, as kinit is no more in KF6. (LP: #2097691)
  * Bump Standards-Version to 4.7.2, no changes required.
  * Stop suggesting rar (as alternative) on i386, as it is no more built on
    that architecture.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Mar 2025 07:49:16 +0100

krusader (2:2.9.0-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (2.9.0). (Closes: #1094395)
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Switch to declarative KF6 debhelper build sequence.
  * Switch away from transitional p7zip dependency. (Closes: #1063583)
  * Use the KDE Extras Team as the maintainer.
  * Build with hardening=+all build hardening flag.
  * Review copyright information.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Jan 2025 07:53:20 +0100

krusader (2:2.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.7.0, no changes needed.

 -- Pino Toscano <pino@debian.org>  Wed, 01 May 2024 07:44:59 +0200
