=== debian/control ===
Source: krusader
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libacl1-dev,
               libattr1-dev,
               libkf6archive-dev (>= 5.240.0~),
               libkf6bookmarks-dev (>= 5.240.0~),
               libkf6codecs-dev (>= 5.240.0~),
               libkf6completion-dev (>= 5.240.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6globalaccel-dev (>= 5.240.0~),
               libkf6guiaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6iconthemes-dev (>= 5.240.0~),
               libkf6itemviews-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6notifications-dev (>= 5.240.0~),
               libkf6parts-dev (>= 5.240.0~),
               libkf6solid-dev (>= 5.240.0~),
               libkf6statusnotifieritem-dev (>= 5.240.0~),
               libkf6textwidgets-dev (>= 5.240.0~),
               libkf6wallet-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libkf6windowsystem-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               pkg-kde-tools (>= 0.15.16),
               qt6-5compat-dev (>= 6.4.0~),
               qt6-base-dev (>= 6.4.0~),
               zlib1g-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://www.krusader.org
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krusader
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krusader.git

Package: krusader
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: kde-cli-tools, keditbookmarks, kio-extras,
Suggests: arj,
          ark,
          bzip2,
          cpio,
          kate,
          kdiff3 | kompare | xxdiff,
          kmail,
          konsole,
          krename,
          lha,
          md5deep | cfv,
          okteta,
          7zip,
          rpm,
          unace,
          unrar | unrar-free | rar [amd64],
          unzip,
          zip,
Description: twin-panel (commander-style) file manager
 Krusader is a simple, easy, powerful, twin-panel (commander-style) file
 manager, similar to Midnight Commander (C) or Total Commander (C).
 .
 It provides all the file management features you could possibly want.
 .
 Plus: extensive archive handling, mounted filesystem support, FTP,
 advanced search module, viewer/editor, directory synchronisation,
 file content comparisons, powerful batch renaming and much more.
 .
 It supports archive formats: ace, arj, bzip2, deb, iso, lha, rar, rpm, tar,
 zip and 7-zip.
 .
 It handles KIOSlaves such as smb:// or fish://.
 .
 Almost completely customizable, Krusader is very user friendly, fast and looks
 great on your desktop.
