=== debian/watch ===
version=4
https://download.kde.org/stable/krusader/([\d\.]+)/krusader-([\d\.]+)\.tar\.xz
