## krusader 2.9.0+p24.04+vstable+git20250921.0640

=== debian/changelog ===
krusader (2:2.9.0+p24.04+vstable+git20250921.0640-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 06:40:34 +0000

krusader (2:2.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Jan 2025 01:00:13 +0000

krusader (2:2.8.1-0neon) jammy; urgency=medium

  [ Jonathan Esk-Riddell ]
  * New release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Mar 2024 01:00:19 +0000

krusader (1:2.6.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Apr 2017 12:34:49 +0000

krusader (1:2.5.0-0neon) xenial; urgency=medium

  * Bump epoch

 -- Raymond Wooninck <tittiatcoke@gmail.com>  Thu, 27 Oct 2016 09:57:30 +0200

krusader (2.5.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2016 18:44:43 +0000

krusader (2.4.0-0neon) xenial; urgency=medium

  * Initial release.

 -- Raymond Wooninck <tittiatcoke@gmail.com>  Sat, 08 Oct 2016 17:08:51 +0200
