## krusader 2.9.0+p24.04+vstable+git20250930.0322

=== debian/changelog ===
krusader (2:2.9.0+p24.04+vstable+git20250930.0322-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 03:22:36 +0000
