=== debian/changelog ===
krusader (2:2.9.0+p24.04+vstable+git20251019.0351-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:51:19 +0000
