=== debian/watch ===
version=4
http://download.kde.org/stable/krusader/([\d\.]+)/krusader-([\d\.]+)\.tar\.xz
