## krusader 2.9.0+p24.04+vstable+git20260123.0244

=== debian/changelog ===
krusader (2:2.9.0+p24.04+vstable+git20260123.0244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 02:44:39 +0000
