## krusader 2.9.0+p24.04+vstable+git20260129.0043

=== debian/changelog ===
krusader (2:2.9.0+p24.04+vstable+git20260129.0043-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 00:43:18 +0000
