## krusader 2.9.0+p24.04+vunstable+git20251201.0017

=== debian/changelog ===
krusader (2:2.9.0+p24.04+vunstable+git20251201.0017-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 00:18:06 +0000
