## krusader 2.9.0+p24.04+vunstable+git20251206.0707

=== debian/changelog ===
krusader (2:2.9.0+p24.04+vunstable+git20251206.0707-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:07:54 +0000
