## krusader 2.9.0+p24.04+vunstable+git20251225.0019

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 project(krusader)
 
-set(VERSION "2.9.1-dev")
-set(RELEASE_NAME "Sixth Life")
+set(VERSION "2.10.0-dev")
+set(RELEASE_NAME "Bleeding Edge")
 
 set(CMAKE_CXX_STANDARD 17)
 
@@ -65,6 +65,7 @@
   XmlGui
   GuiAddons
   StatusNotifierItem
+  ColorScheme
 )
