## krusader 2.9.0+p24.04+vunstable+git20251228.0020

=== app/DiskUsage/CMakeLists.txt ===
--- 
+++ 
@@ -20,4 +20,5 @@
     KF6::KIOCore
     KF6::KIOWidgets
     KF6::WidgetsAddons
+    KF6::ColorScheme
 )
