=== debian/changelog ===
krusader (2:2.9.0+p24.04+vunstable+git20251228.0020-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Dec 2025 00:20:43 +0000
