## krusader 2.9.0+p24.04+vunstable+git20260201.0819

=== debian/changelog ===
krusader (2:2.9.0+p24.04+vunstable+git20260201.0819-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 08:19:45 +0000
